{
  pkgs,
  config,
  lib,
  ...
}:
let
  inherit (lib) mkIf;
in
{
  config = mkIf config.services.syncthing.enable {
    xdg.desktopEntries."Syncthing" = {
      name = "Syncthing";
      icon = "";
      terminal = false;
      exec = "${pkgs.syncthing}/bin/syncthing --browser-only";
    };
  };
}
