{
  lib,
  config,
  osConfig,
  ...
}:
let
  inherit (lib) mkIf;
in
mkIf config.programs.ssh.enable {
  programs.ssh = {
    addKeysToAgent = "confirm";
    matchBlocks = {
      deck = {
        hostname = "steamdeck";
        user = "deck";
        port = 22;
      };
      vm = mkIf (osConfig.networking.hostName == "marr") {
        hostname = "192.168.122.152";
        user = "ny";
        port = 22;
      };
    };
  };
}
