{
  pkgs,
  lib,
  config,
  ...
}:
let
  toCSS = import ./tocss.nix { inherit pkgs; };
in
lib.mkIf config.programs.waybar.enable {
  programs.waybar = {
    style = toCSS ./style.scss;
    settings = {
      main = import ./config.nix { inherit pkgs; };
    };
  };
}
